Skip to main content
Generate PDF summaries based on Argyle’s data sets.

The report object

Attributes

  • id (string (uuid)): Unique ID of the report object.
    Also the “Reference #” on the report PDF.
  • user (string (uuid)): ID of the user associated with the report.
  • (Deprecated) reference_id (string (uuid)): Report PDF identifier.
  • (Deprecated) generated_at (string (datetime)): Timestamp (ISO 8601) when the report was requested.
  • created_at (string (datetime)): Timestamp (ISO 8601) when the report was requested.
  • type (string (enum)): The type of report.
    • voie — Verification of Income and Employment
    • voe — Verification of Employment
    • voie-mortgage — Verification of Income and Employment, integrated with Fannie Mae’s Desktop Underwriter® (DU®) validation service and Freddie Mac’s asset and income modeler (AIM).
    • voe-mortgage — Verification of Employment, integrated with Fannie Mae’s Desktop Underwriter® (DU®) validation service and Freddie Mac’s asset and income modeler (AIM).
  • status (string (enum)): Progress of report generation.
    • waiting_for_sync — Data from the connected payroll account is still being retrieved. The report will be generated once the user’s data is fully synced.
    • generating — The report is being generated.
    • generated— The report is ready to download.
  • file_url (string): Download link to the report PDF. This static URL redirects to a download page that requires Argyle authentication headers. See the dropdown below for more information.
    . Ensure your HTTP client or library (e.g. Axios, Python requests, etc.) or similar tool is configured to pursue redirects. Most tools support this functionality.. Basic authentication headers for Argyle must be appended to the file download request.
  • json_url (string): Download link to the report in JSON. Requires Argyle authentication headers.
  • accounts (array of objects): The accounts used to generate the report.
    • id (string (uuid)): ID of the account.
    • item (string): ID of the Item in Link through which the account was connected.
    • last_synced_at (string (datetime)): Timestamp (ISO 8601) when the account was last scanned for new data before the report was generated.
  • metadata (object): Any metadata for internal use added when generating the report.
  • last_synced_at (string (datetime)): Timestamp (ISO 8601) when the account used to generate the report was last scanned for new data before the report was generated. If multiple accounts were used, the more recent timestamp.
    Used to populate the “Data as of” date on the report PDF.
  • external_id (string): The external_id of the user, otherwise null.

Generate a report

POST /v2/reports Generates a new report and returns a partial report object. There is a daily limit of 10 reports per user to prevent excessive report generation due to accidental client-side errors.
If the daily report limit is reached, deleting a previously generated report from the same 24 hour period will allow another report to be generated.

Request body

  • user (string (uuid), required): ID of the user.
  • type (note, required)
  • metadata (object, optional): Information for internal use, structured as a JSON object.
curl --request POST \\
--url https://api-sandbox.argyle.com/v2/reports \\
--header 'accept: application/json' \\
--header 'content-type: application/json' \\
--data '{
"user": "018051aa-f7a9-a0db-2f38-6cfa325e9d69",
"type": "voie"
}'
{
  "id": "43a2c6c3-1e63-91e5-88e3-f9ab2dcc489b",
  "user": "018051aa-f7a9-a0db-2f38-6cfa325e9d69",
  "reference_id": "43a2c6c3-1e63-91e5-88e3-f9ab2dcc489b",
  "generated_at": "2023-03-09T16:22:06.081Z",
  "created_at": "2023-03-09T16:22:06.081Z",
  "type": "voie",
  "status": "generated",
  "file_url": "www.argyle.com/storagename/file",
  "json_url": "www.argyle.com/storagename.json",
  "accounts": [
    {
      "id": "0187c66e-e7e5-811c-b006-2232f00f426a",
      "item": "item_123456789",
      "last_synced_at": "2023-03-09T14:08:25.069Z"
    },
    {
      "id": "0185a8b8-60eb-80ca-7482-5f24504573f7",
      "item": "item_000000001",
      "last_synced_at": "2023-03-01T05:10:59.558Z"
    }
  ],
  "metadata": {},
  "last_synced_at": "2023-03-09T14:08:25.069Z",
  "external_id": "July_Connection"
}

Retrieve a report

GET /v2/reports/{id} Retrieves a report object.

Path parameters

  • id (string (uuid), required): ID of the report object to be retrieved.
curl --request GET \\
--url https://api-sandbox.argyle.com/v2/reports/{id} \\
--header 'accept: application/json' \\
--header 'content-type: application/json'
  

{
  "id": "43a2c6c3-1e63-91e5-88e3-f9ab2dcc489b",
  "user": "018051aa-f7a9-a0db-2f38-6cfa325e9d69",
  "reference_id": "43a2c6c3-1e63-91e5-88e3-f9ab2dcc489b",
  "generated_at": "2023-03-09T16:22:06.081Z",
  "created_at": "2023-03-09T16:22:06.081Z",
  "type": "voie",
  "status": "generated",
  "file_url": "www.argyle.com/storagename/file",
  "json_url": "www.argyle.com/storagename.json",
  "accounts": [
  {
  "id": "0187c66e-e7e5-811c-b006-2232f00f426a",
  "item": "item_123456789",
  "last_synced_at": "2023-03-09T14:08:25.069Z"
  },
  {
  "id": "0185a8b8-60eb-80ca-7482-5f24504573f7",
  "item": "item_000000001",
  "last_synced_at": "2023-03-01T05:10:59.558Z"
  }
  ],
  "metadata": {},
  "last_synced_at": "2023-03-09T14:08:25.069Z",
  "external_id": "July_Connection"
},
null,
2
  

Retrieve a report in JSON

GET /v2/reports/{id}.json
Retrieves the content of a PDF report in JSON format.
  • Report JSONs become available once the report’s status is generated

Path parameters

Verification of Employment (VOE) Report:
Image of Argyle's Verification of Employment (VOE) report.
curl --request GET \\
--url https://api-sandbox.argyle.com/v2/reports/{id}.json \\
--header 'accept: application/json' \\
--header 'content-type: application/json'
  

{
"type": "voe",
"report_id": "6c3fa756-2e76-43e1-55f6-e29fc6ae535d",
"user_id": "018051aa-f7a9-a0db-2f38-6cfa325e9d69",
"external_id": "March Connection",
"generated_at": "2023-03-26T09:19:08.916Z",
"last_synced_at": "2023-03-24T12:41:21.576Z",
"accounts": [
{
"account": "018728a3-afee-5288-8e8a-c68ceb591359",
"source": "Worknight",
"first_name": "Bob",
"last_name": "Jones",
"full_name": "Bob Jones",
"ssn": "522-09-1191",
"employer": "Whole Goods",
"employer_address": {
"city": "New York",
"country": "US",
"state": "NY",
"postal_code": "10014",
"line1": "852 North W St",
"line2": null
},
"status": "active",
"employment_type": "full-time",
"job_title": "Store Manager",
"original_hire_date": "2020-08-28",
"start_date": "2020-08-28",
"end_date": null,
"last_pay_period_end_date": "2023-03-22",
"last_paystub_date": "2023-03-24",
},
{
"account": "018728a2-2fe0-cdb4-9486-70b2fe9834f9",
"source": "Bullseye",
"first_name": "Bob",
"last_name": "Jones",
"full_name": "Bob Jones",
"ssn": "522-09-1191",
"employer": "Bullseye",
"employer_address": {
"city": "New York",
"country": "US",
"state": "NY",
"postal_code": "10014",
"line1": "119 Green Ridge",
"line2": null
},
"status": "active",
"employment_type": "part-time",
"job_title": "Clerk",
"original_hire_date": "2020-06-29",
"start_date": "2020-06-29",
"end_date": null,
"last_pay_period_end_date": "2023-02-23",
"last_paystub_date": "2023-02-24",
},
]
},
null,
2
  
Verification of Income and Employment (VOIE) Report:
Image of Argyle's Verification of Employment (VOE) report.

{
"type": "voie",
"report_id": "6da4c9a3-2e63-95e5-8be3-f9a52ddc489a",
"user_id": "018051aa-f7a9-a0db-2f38-6cfa325e9d69",
"external_id": "March Connection",
"generated_at": "2023-03-26T09:20:06.081Z",
"last_synced_at": "2023-03-24T12:41:25.069Z",
"accounts": [
{
"account": "018728a3-afee-5288-8e8a-c68ceb591359",
"source": "Worknight",
"first_name": "Bob",
"last_name": "Jones",
"full_name": "Bob Jones",
"birth_date": "1980-10-10",
"ssn": "522-09-1191",
"phone_number": "+18009000010",
"email": "[email protected]",
"employer": "Whole Goods",
"employee_address": {
"city": "New York",
"country": "US",
"state": "NY",
"postal_code": "10014",
"line1": "342 Fence Rd",
"line2": null
},
"employer_address": {
"city": "New York",
"country": "US",
"state": "NY",
"postal_code": "10014",
"line1": "852 North W St",
"line2": null
},
"status": "active",
"employment_type": "full-time",
"job_title": "Store Manager",
"original_hire_date": "2020-08-28",
"start_date": "2020-08-28",
"end_date": null,
"last_pay_period_end_date": "2023-03-22",
"last_paystub_date": "2023-03-24",
"base_pay": {
"amount": "75372.62",
"currency": "USD",
"period": "annual"
},
"pay_cycle": "monthly",
"income": [
{
"period": "2023",
"currency": "USD",
"employer": "Whole Goods",
"gross_pay": {
"total": 25124.20,
"base": 25124.20,
"overtime": 0,
"commission": 0,
"bonus": 0,
"other": 0
},
"reimbursements": 8.13,
"deductions": 816.53,
"taxes": 5715.75,
"fees": 0,
"net_pay": 18600.05
},
{
"period": "2022",
"currency": "USD",
"employer": "Whole Goods",
"gross_pay": {
"total": 82866.32,
"base": 81653.65,
"overtime": 0,
"commission": 881.09,
"bonus": 331.58,
"other": 0
},
"reimbursements": 4.35,
"deductions": 3266.12,
"taxes": 14948.85,
"fees": 0,
"net_pay": 64655.70
},
{
"period": "2021",
"currency": "USD",
"employer": "Whole Goods",
"gross_pay": {
"total": 87854.76,
"base": 81653.65,
"overtime": 5774.51,
"commission": 426.6,
"bonus": 0,
"other": 0
},
"reimbursements": 26.60,
"deductions": 3328.93,
"taxes": 16833.19,
"fees": 0,
"net_pay": 67719.24
}
]
},
{
"account": "018728a2-2fe0-cdb4-9486-70b2fe9834f9",
"source": "Bullseye",
"first_name": "Bob",
"last_name": "Jones",
"full_name": "Bob Jones",
"birth_date": "1980-10-10",
"ssn": "522-09-1191",
"phone_number": "+18009000010",
"email": "[email protected]",
"employer": "Bullseye",
"employee_address": {
"city": "New York",
"country": "US",
"state": "NY",
"postal_code": "10014",
"line1": "342 Fence Rd",
"line2": null
},
"employer_address": {
"city": "New York",
"country": "US",
"state": "NY",
"postal_code": "10014",
"line1": "119 Green Ridge",
"line2": null
},
"status": "active",
"employment_type": "part-time",
"job_title": "Clerk",
"original_hire_date": "2020-06-29",
"start_date": "2020-06-29",
"end_date": null,
"last_pay_period_end_date": "2023-02-23",
"last_paystub_date": "2023-02-24",
"base_pay": {
"amount": "61030.57",
"currency": "USD",
"period": "annual"
},
"pay_cycle": "monthly",
"income": [
{
"period": "2023",
"currency": "USD",
"employer": "Bullseye",
"gross_pay": {
"total": 20848.92,
"base": 20343.52,
"overtime": 0,
"commission": 0,
"bonus": 505.40,
"other": 0
},
"reimbursements": 0,
"deductions": 915.48,
"taxes": 4475.58,
"fees": 0,
"net_pay": 15457.86
},
{
"period": "2022",
"currency": "USD",
"employer": "Bullseye",
"gross_pay": {
"total": 68070.08,
"base": 66116.44,
"overtime": 0,
"commission": 777.54,
"bonus": 1176.10,
"other": 0
},
"reimbursements": 18.40,
"deductions": 2034.40,
"taxes": 13274.18,
"fees": 0,
"net_pay": 52779.90
},
{
"period": "2021",
"currency": "USD",
"employer": "Bullseye",
"gross_pay": {
"total": 68378.52,
"base": 66116.44,
"overtime": 0,
"commission": 641.94,
"bonus": 1620.14,
"other": 0
},
"reimbursements": 20.27,
"deductions": 1881.82,
"taxes": 13731.92,
"fees": 0,
"net_pay": 52785.05
}
]
},
],
"income_totals": [
{
"period": "2023",
"period_total": {
"currency": "USD",
"gross_pay": {
"total": 45973.12,
"base": 45467.72,
"overtime": 0,
"commission": 0,
"bonus": 505.40,
"other": 0
},
"reimbursements": 8.13,
"deductions": 1732.01,
"taxes": 10191.33,
"fees": 0,
"net_pay": 34057.91
}
},
{
"period": "2022",
"period_total": {
"currency": "USD",
"gross_pay": {
"total": 150936.4,
"base": 147770.09,
"overtime": 0,
"commission": 1658.63,
"bonus": 1507.68,
"other": 0
},
"reimbursements": 22.75,
"deductions": 5300.52,
"taxes": 28223.03,
"fees": 0,
"net_pay": 117435.60
}
},
{
"period": "2021",
"period_total": {
"currency": "USD",
"gross_pay": {
"total": 156233.28,
"base": 147770.09,
"overtime": 5774.51,
"commission": 1068.54,
"bonus": 1620.14,
"other": 0
},
"reimbursements": 46.87,
"deductions": 5210.75,
"taxes": 30565.11,
"fees": 0,
"net_pay": 120504.29
}
}
]
},
null,
2
  

Delete a report

DELETE /v2/reports/{id} Deletes a report object.

Path parameters

  • id (string (uuid), required): ID of the report object to be deleted.
curl --request DELETE \\
--url https://api-sandbox.argyle.com/v2/reports/{id} \\
--header 'accept: application/json' \\
--header 'content-type: application/json'
  

"204 status code: No content.",
null,
2
  

List all reports

GET /v2/reports Returns an array of all report objects.

Query parameters

curl --request GET \\
--url https://api-sandbox.argyle.com/v2/reports?limit=2 \\
--header 'accept: application/json' \\
--header 'content-type: application/json'
  

[
  {
  "id": "5b3fa756-1d76-43e1-55f6-e29fc6ae535d",
  "user": "018051aa-f7a9-a0db-2f38-6cfa325e9d69",
  "reference_id": "5b3fa756-1d76-43e1-55f6-e29fc6ae535d",
  "generated_at": "2023-03-01T22:45:08.916Z",
  "created_at": "2023-03-01T22:45:08.916Z",
  "type": "voe",
  "status": "generated",
  "file_url": "www.argyle.com/storagename/file",
  "json_url": "www.argyle.com/storagename.json",
  "accounts": [
{
  "id": "018e6a25-130b-3b98-a3ca-1658cb3afc26",
  "item": "item_987654321",
  "last_synced_at": "2023-03-01T19:20:21.576Z"
}
  ],
  "metadata": {},
  "last_synced_at": "2023-03-01T19:20:21.576Z",
  "external_id": null
  },
  {
  "id": "43a2c6c3-1e63-91e5-88e3-f9ab2dcc489b",
  "user": "018051aa-f7a9-a0db-2f38-6cfa325e9d69",
  "reference_id": "43a2c6c3-1e63-91e5-88e3-f9ab2dcc489b",
  "generated_at": "2023-03-09T16:22:06.081Z",
  "created_at": "2023-03-09T16:22:06.081Z",
  "type": "voie",
  "status": "generated",
  "file_url": "www.argyle.com/storagename/file",
  "json_url": "www.argyle.com/storagename.json",
  "accounts": [
{
  "id": "0187c66e-e7e5-811c-b006-2232f00f426a",
  "item": "item_123456789",
  "last_synced_at": "2023-03-09T14:08:25.069Z"
},
{
  "id": "0185a8b8-60eb-80ca-7482-5f24504573f7",
  "item": "item_000000001",
  "last_synced_at": "2023-03-01T05:10:59.558Z"
}
  ],
  "metadata": {},
  "last_synced_at": "2023-03-09T14:08:25.069Z",
  "external_id": "July_Connection"
  },
],
null,
2